Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian User (http://www.linux-archive.org/debian-user/)
-   -   problem with apt-get upgrade (http://www.linux-archive.org/debian-user/645132-problem-apt-get-upgrade.html)

Richard 03-15-2012 08:40 PM

problem with apt-get upgrade
 
Hi
All downloads , but I'm getting this:-

Setting up initscripts (2.88dsf-22) ...
insserv: warning: script 'K50vmware-USBArbitrator' missing LSB tags and overrides
insserv: warning: script 'K01vmware' missing LSB tags and overrides
insserv: warning: script 'vmware' missing LSB tags and overrides
insserv: warning: script 'vmware-USBArbitrator' missing LSB tags and overrides
insserv: There is a loop at service minissdpd if started
insserv: Starting vmware-USBArbitrator depends on minissdpd and therefore on system facility `$all' which can not be true!

The last line scrolls down the page.
Do I need to uninstall vmware to get this to run ?
--


Best wishes / 73
Richard Bown

e-mail: richard@g8jvm.com or richard.bown@blueyonder.co.uk

nil carborundum a illegitemis
################################################## ################################
Ham Call G8JVM . OS Debian Wheezy/Sid amd64 on a Dual core AMD Athlon 5200, 4 GB RAM
Maidenhead QRA: IO82SP38, LAT. 52 39.720' N LONG. 2 28.171 W ( degs mins )
QRV HF + VHF Microwave 23 cms:140W,13 cms:100W,6 cms:10W & 3 cms:5W
################################################## ################################


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20120315214010.4914abe2@g8jvm.com">http://lists.debian.org/20120315214010.4914abe2@g8jvm.com

Darac Marjal 03-16-2012 09:52 AM

problem with apt-get upgrade
 
On Thu, Mar 15, 2012 at 09:40:10PM +0000, Richard wrote:
> Hi
> All downloads , but I'm getting this:-
>
> Setting up initscripts (2.88dsf-22) ...
> insserv: warning: script 'K50vmware-USBArbitrator' missing LSB tags and overrides
> insserv: warning: script 'K01vmware' missing LSB tags and overrides
> insserv: warning: script 'vmware' missing LSB tags and overrides
> insserv: warning: script 'vmware-USBArbitrator' missing LSB tags and overrides
> insserv: There is a loop at service minissdpd if started
> insserv: Starting vmware-USBArbitrator depends on minissdpd and therefore on system facility `$all' which can not be true!
>
> The last line scrolls down the page.
> Do I need to uninstall vmware to get this to run ?

No.

You have two options. First is to install a version of VMWare that
supports the (now just about standard) initscript headers. If there is
no such version, pester the upstream authors to update their
initscripts.

Second is to create an override, so that you add the headers manually.
That is, create a file /etc/insserv/overrides/FOO (where FOO is the name
of the initscipt being run. Note, not the symlink name. If K01vmware
points to /etc/init.d/vmware, then create
/etc/insserv/overrides/vmware). In that file, write your initscript
header (see http://wiki.debian.org/LSBInitScripts for details). You
should then be able to update your system.


--
Darac Marjal


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20120316105248.GA7098@darac.org.uk">http://lists.debian.org/20120316105248.GA7098@darac.org.uk

Richard 03-16-2012 11:28 AM

problem with apt-get upgrade
 
On Fri, 16 Mar 2012 10:52:48 +0000
Darac Marjal <mailinglist@darac.org.uk> wrote:

> On Thu, Mar 15, 2012 at 09:40:10PM +0000, Richard wrote:
> > Hi
> > All downloads , but I'm getting this:-
> >
> > Setting up initscripts (2.88dsf-22) ...
> > insserv: warning: script 'K50vmware-USBArbitrator' missing LSB tags and overrides
> > insserv: warning: script 'K01vmware' missing LSB tags and overrides
> > insserv: warning: script 'vmware' missing LSB tags and overrides
> > insserv: warning: script 'vmware-USBArbitrator' missing LSB tags and overrides
> > insserv: There is a loop at service minissdpd if started
> > insserv: Starting vmware-USBArbitrator depends on minissdpd and therefore on system facility `$all'
> > which can not be true!
> >
> > The last line scrolls down the page.
> > Do I need to uninstall vmware to get this to run ?
>
> No.
>
> You have two options. First is to install a version of VMWare that
> supports the (now just about standard) initscript headers. If there is
> no such version, pester the upstream authors to update their
> initscripts.
>
> Second is to create an override, so that you add the headers manually.
> That is, create a file /etc/insserv/overrides/FOO (where FOO is the name
> of the initscipt being run. Note, not the symlink name. If K01vmware
> points to /etc/init.d/vmware, then create
> /etc/insserv/overrides/vmware). In that file, write your initscript
> header (see http://wiki.debian.org/LSBInitScripts for details). You
> should then be able to update your system.
>
>

Many thanks the second option has helped.
Vmware have been very slow to update to kernel3, so there are various patches around.

Cheers

--


Best wishes / 73
Richard Bown

e-mail: richard@g8jvm.com or richard.bown@blueyonder.co.uk

nil carborundum a illegitemis
################################################## ################################
Ham Call G8JVM . OS Debian Wheezy/Sid amd64 on a Dual core AMD Athlon 5200, 4 GB RAM
Maidenhead QRA: IO82SP38, LAT. 52 39.720' N LONG. 2 28.171 W ( degs mins )
QRV HF + VHF Microwave 23 cms:140W,13 cms:100W,6 cms:10W & 3 cms:5W
################################################## ################################


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20120316122852.764480b3@g8jvm.com">http://lists.debian.org/20120316122852.764480b3@g8jvm.com


All times are GMT. The time now is 08:09 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.